Package org.apache.sling.testing.junit.rules.util

## Class IgnoreTestsConfig

- java.lang.Object
- - org.apache.sling.testing.junit.rules.util.IgnoreTestsConfig

    public class IgnoreTestsConfig
    extends Object

### Field Summary

Fields
`static String` `IGNORE_LIST_PROP`
`static String` `RUN_IGNORE_LIST_PROP`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static boolean` `asteriskMatch​(String pattern, String text)`
`static IgnoreTestsConfig` `get()`
`Match` `match​(String fqdn)`
`static void` `reCreate()` Recreate the singleton config object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### IGNORE_LIST_PROP

    public static final String IGNORE_LIST_PROP

See Also:
  Constant Field Values

#### RUN_IGNORE_LIST_PROP

    public static final String RUN_IGNORE_LIST_PROP

See Also:
  Constant Field Values

### Method Detail

#### get

    public static IgnoreTestsConfig get()

Returns:
  the singleton config object.

#### reCreate

    public static void reCreate()

Recreate the singleton config object.

#### match

    public Match match​(String fqdn)

#### asteriskMatch

    public static boolean asteriskMatch​(String pattern,
                                        String text)